%define pre .a1

Name:           lilac
Version:        1.0
Release:        0.3%{?pre}%{?dist}
Summary:        Nagios configuration tool

Group:          Applications/System
License:        GPLv2
URL:            http://lilacplatform.net
Source0:        lilac-1.0.a1.tar.gz
Source1:        lilac-httpd.conf
Source2:        lilac-README.fedora
Patch1:         lilac-1.0.alpha1+svn207.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
Requires:       nagios
Requires:       php-mysql 
Requires:       php-pear-Log 
Requires:       php-pear-propel_runtime
# for autodiscovery :
Requires:       php-pear-Net-Traceroute
Requires:       nmap
# extjs (RHBZ#471509) is being replaced by jquery (RHBZ#457343)
#Requires:       extjs
#Requires        jquery
# output/TreeMenu.php
# No official Fedora package yet, needs to be submitted and reviewed
# Will not be needed soon
#Requires:       php-pear-XML-Tree


%description
Lilac is a web-based configuration tool for Nagios 2.x written in PHP5. It has
support for many advanced Nagios features including configuring the event
broker, using templates and much more.


%prep
%setup -q -n lilac-%{version}%{pre}
%patch1 -p0 -E
find . -name '*.php' -exec chmod a-x {} ';'
find includes -name '*.inc' -exec chmod a-x {} ';'
sed -i -e 's/\r//' search.php
rm -rf `find '.' -type d -name ".svn"`
sed -i -e 's|/usr/local/nagios/bin/nagios|/usr/sbin/nagios|' \
       -e 's|/etc/init.d/nagios|/etc/rc.d/init.d/nagios|'    \
       includes/config.inc
cp -p %{SOURCE2} README.fedora


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a *.php $RPM_BUILD_ROOT%{_datadir}/%{name}/
# don't include js, private copy of ext js (extjs.com)
# don't include library, private copy of php-pear-propel and php-pear-Log
for i in autodiscovery classes exporter images importer includes js output sitedb sqldata style;
  do { cp -a $i $RPM_BUILD_ROOT%{_datadir}/%{name}/; }
done

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/lilac.conf

# The conf file would need to be moved to %%{_sysconfdir}
#mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/lilac
#cp includes/lilac-conf.php.dist $RPM_BUILD_ROOT%{_sysconfdir}/lilac/lilac-conf.php
#ln -s ../../../../../%{_sysconfdir}/lilac/lilac-conf.php $RPM_BUILD_ROOT%{_datadir}/%{name}/includes/lilac-conf.php
#ln -s ../../../../../%{_sysconfdir}/lilac/lilac-classmap.php $RPM_BUILD_ROOT%{_datadir}/%{name}/includes/lilac-classmap.php
cp includes/lilac-conf.php.dist $RPM_BUILD_ROOT%{_datadir}/%{name}/includes/lilac-conf.php

# Create a symlink of nagios's icon logo's directory to lilac's base directory
# with the name of logos.
ln -s ../../../%{_datadir}/nagios/html/images/logos $RPM_BUILD_ROOT%{_datadir}/%{name}/logos


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc INSTALL LICENSE UPGRADING README.fedora
%config(noreplace) %{_sysconfdir}/httpd/conf.d/lilac.conf
#%attr(644,apache,root) %config(noreplace) %{_sysconfdir}/lilac/lilac-conf.php
#%{_sysconfdir}/lilac/lilac-classmap.php
%attr(644,apache,root) %config(noreplace) %{_datadir}/%{name}/includes/lilac-conf.php
%{_datadir}/%{name}


%changelog
* Thu Nov 27 2008 Xavier Bachelot <xavier@bachelot.org> 1.0-0.3.a1
- Update to latest svn snapshot (lilac-1.x branch rev. 207).

* Wed Nov 12 2008 Xavier Bachelot <xavier@bachelot.org> 1.0-0.2.a1
- Update to latest svn snapshot (lilac-1.x branch rev. 189).

* Fri Nov 07 2008 Xavier Bachelot <xavier@bachelot.org> 1.0-0.1.a1
- Initial build.
